Skip to main content

API Documentation: Get Preferred Name, Pronouns, Pronunciation

Endpoint

URL:

db.lilacdancecenter.com/api/getPreferredName

Method:
GET


Query Parameters

Parameter Type Description
firstName String The dancer's first name. Required.
lastName String The dancer's last name. Required.

Example Request:

https://db.lilacdancecenter.com/api/getPreferredName?firstName=John&lastName=Doe
https://db.lilacdancecenter.com/api/getPreferredName?firstName=John&lastName=Doe&majority=3

Response

The endpoint returns a JSON object containing the dancer's preferred name, pronouns, and pronunciation, along with their profile link if the user had set it to public

JSON Response Format

{
  "Matthew Emerick":
    {
      "preferred_name":"Matt",
      "pronunciation":"", # empty string if not set
      "pronouns":"He/Him/His",
      "profile_link":"https://db.lilacdancecenter.com/profiles/4"
      }
}